<?php

namespace App\Http\Requests\Admin\Manage;

use Illuminate\Foundation\Http\FormRequest;

class StokOpnameVerifyRequest extends FormRequest
{
    public function authorize(): bool
    {
        return $this->user()->can('stok_opnames.verify');
    }

    public function rules(): array
    {
        return [
            'verification_notes' => ['nullable', 'string', 'max:100'],
        ];
    }

    public function attributes(): array
    {
        return [
            'verification_notes' => 'Catatan Verifikasi',
        ];
    }
}
